# Generated by Django 2.1.3 on 2019-07-05 07:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalMikrotik',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4)),
                ('name', models.CharField(max_length=80)),
                ('address', models.TextField()),
                ('devices', models.PositiveIntegerField(default=0)),
                ('devices_cpes', models.PositiveIntegerField(default=0)),
                ('ip', models.CharField(db_index=True, max_length=15)),
                ('mac', models.CharField(blank=True, db_index=True, max_length=17, null=True)),
                ('mac_secondary', models.CharField(blank=True, max_length=17, null=True)),
                ('alias', models.CharField(db_index=True, max_length=80)),
                ('status', models.BooleanField(default=False)),
                ('description', models.TextField()),
                ('firmware', models.CharField(blank=True, max_length=100, null=True)),
                ('cpeutp_total', models.PositiveSmallIntegerField(default=0)),
                ('cards', models.PositiveSmallIntegerField(default=0)),
                ('cpeutp_active', models.PositiveSmallIntegerField(default=0)),
                ('cards_active', models.PositiveSmallIntegerField(default=0)),
                ('ram', models.CharField(blank=True, max_length=10, null=True)),
                ('ram_secondary', models.CharField(blank=True, max_length=10, null=True)),
                ('cpu', models.CharField(blank=True, max_length=10, null=True)),
                ('cpu_secondary', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature_secondary', models.CharField(blank=True, max_length=10, null=True)),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('watts', models.PositiveSmallIntegerField(default=0)),
                ('time_uptime', models.DateTimeField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical mikrotik',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalModelDevice',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('model', models.CharField(max_length=80)),
                ('brand', models.CharField(blank=True, max_length=80, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical model device',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Mikrotik',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('uuid', models.UUIDField(db_index=True, default=uuid.uuid4)),
                ('name', models.CharField(max_length=80)),
                ('address', models.TextField()),
                ('devices', models.PositiveIntegerField(default=0)),
                ('devices_cpes', models.PositiveIntegerField(default=0)),
                ('ip', models.CharField(db_index=True, max_length=15)),
                ('mac', models.CharField(blank=True, db_index=True, max_length=17, null=True)),
                ('mac_secondary', models.CharField(blank=True, max_length=17, null=True)),
                ('alias', models.CharField(db_index=True, max_length=80)),
                ('status', models.BooleanField(default=False)),
                ('description', models.TextField()),
                ('firmware', models.CharField(blank=True, max_length=100, null=True)),
                ('cpeutp_total', models.PositiveSmallIntegerField(default=0)),
                ('cards', models.PositiveSmallIntegerField(default=0)),
                ('cpeutp_active', models.PositiveSmallIntegerField(default=0)),
                ('cards_active', models.PositiveSmallIntegerField(default=0)),
                ('ram', models.CharField(blank=True, max_length=10, null=True)),
                ('ram_secondary', models.CharField(blank=True, max_length=10, null=True)),
                ('cpu', models.CharField(blank=True, max_length=10, null=True)),
                ('cpu_secondary', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature', models.CharField(blank=True, max_length=10, null=True)),
                ('temperature_secondary', models.CharField(blank=True, max_length=10, null=True)),
                ('uptime', models.DateTimeField(blank=True, null=True)),
                ('watts', models.PositiveSmallIntegerField(default=0)),
                ('time_uptime', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'ordering': ['alias'],
            },
        ),
        migrations.CreateModel(
            name='ModelDevice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('model', models.CharField(max_length=80)),
                ('brand', models.CharField(blank=True, max_length=80, null=True)),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.AddField(
            model_name='mikrotik',
            name='model',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utp.ModelDevice'),
        ),
        migrations.AddField(
            model_name='historicalmikrotik',
            name='model',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.ModelDevice'),
        ),
        migrations.AlterUniqueTogether(
            name='mikrotik',
            unique_together={('alias', 'ip')},
        ),
    ]
